'use client';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from "clsx";
// import '../styles/globals.css';
import { ArticleBody } from "./ArticleBody.js";
// Font files can be colocated inside of `pages`
export function isRTL(locale) {
    if (locale.startsWith('ar') || locale.startsWith('fa') || locale.startsWith('ur') || locale.startsWith('ps') || locale.startsWith('he') || locale.startsWith('ui')) {
        return true;
    }
    return false;
}
import en from '../fonts/font.en.js';
import ar from '../fonts/font.ar.js';
import fa from '../fonts/font.fa.js';
import ur from '../fonts/font.ur.js';
import ps from '../fonts/font.ps.js';
const localFonts = {
    en: en,
    ar: ar,
    fa: fa,
    ur: ur,
    ps: ps
};
// console.log("LCOA", localFonts)
export const StandardArticle = async ({ body, locale })=>{
    const dir = isRTL(locale) ? 'rtl' : 'ltr';
    let fonts;
    try {
        if ([
            'en',
            'ar',
            'fa',
            'ur',
            'ps'
        ].includes(locale)) {
            fonts = localFonts[locale];
        } else {
            fonts = localFonts?.en;
        }
    } catch  {
        fonts = localFonts?.en;
    }
    return /*#__PURE__*/ _jsxs("html", {
        dir: dir,
        lang: locale,
        children: [
            /*#__PURE__*/ _jsxs("head", {
                children: [
                    /*#__PURE__*/ _jsx("script", {
                        src: "https://cdn.tailwindcss.com"
                    }),
                    /*#__PURE__*/ _jsx("link", {
                        href: "https://cdn.jsdelivr.net/npm/payload-richtext-tiptap/dist/src/globals.css",
                        rel: "stylesheet"
                    }),
                    /*#__PURE__*/ _jsx("link", {
                        href: "https://cdn.jsdelivr.net/npm/payload-richtext-tiptap/dist/src/article-custom.css",
                        rel: "stylesheet"
                    })
                ]
            }),
            /*#__PURE__*/ _jsxs("body", {
                className: clsx('w-full overflow-x-hidden'),
                children: [
                    /*#__PURE__*/ _jsx("main", {
                        id: "article-standard-wrapper",
                        className: "min-h-fit xl:min-h-[100vh] pt-10 pb-6 md:pb-9 lg:pb-12 xl:pb-20",
                        children: /*#__PURE__*/ _jsx("div", {
                            className: "flex flex-col gap-6 md:gap-9 xl:gap-12 items-center mx-auto mt-8",
                            children: /*#__PURE__*/ _jsx("section", {
                                className: "w-full flex justify-center",
                                children: /*#__PURE__*/ _jsx("div", {
                                    className: "w-full max-w-full",
                                    children: /*#__PURE__*/ _jsx("div", {
                                        className: "w-full flex flex-row justify-center gap-6 overflow-hidden pt-5",
                                        children: /*#__PURE__*/ _jsx(ArticleBody, {
                                            body: body
                                        })
                                    })
                                })
                            })
                        })
                    }),
                    /*#__PURE__*/ _jsx("script", {
                        src: "https://vjs.zencdn.net/8.16.1/video.min.js"
                    })
                ]
            })
        ]
    });
};

//# sourceMappingURL=StandardArticle.js.map