import { jsx as _jsx } from "react/jsx-runtime";
import { NodeViewWrapper } from "@tiptap/react";
import React, { useCallback, useRef } from "react";
import { cn } from "../../../lib/utils/index.js";
export const AudioBlockView = (props)=>{
    const { editor, getPos, node } = props;
    const audioWrapperRef = useRef(null);
    const { src, caption } = node.attrs;
    const wrapperClassName = cn(node.attrs.align === "left" ? "ml-0" : "ml-auto", node.attrs.align === "right" ? "mr-0" : "mr-auto", node.attrs.align === "center" && "mx-auto");
    const onClick = useCallback(()=>{
        editor.commands.setNodeSelection(getPos());
    }, [
        getPos,
        editor.commands
    ]);
    return /*#__PURE__*/ _jsx(NodeViewWrapper, {
        children: /*#__PURE__*/ _jsx("div", {
            className: wrapperClassName,
            style: {
                width: node.attrs.width
            },
            children: /*#__PURE__*/ _jsx("div", {
                ref: audioWrapperRef,
                children: /*#__PURE__*/ _jsx("audio", {
                    controls: true,
                    className: "block",
                    src: src,
                    //poster={poster}
                    title: "",
                    onClick: onClick
                })
            })
        })
    });
};
export default AudioBlockView;

//# sourceMappingURL=AudioBlockView.js.map