import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { memo, useCallback, useEffect, useState } from "react";
export const AudioBlockWidth = /*#__PURE__*/ memo(({ onChange, value })=>{
    const [currentValue, setCurrentValue] = useState(value);
    useEffect(()=>{
        setCurrentValue(value);
    }, [
        value
    ]);
    const handleChange = useCallback((e)=>{
        onChange(parseInt(e.target.value));
    }, [
        onChange
    ]);
    return /*#__PURE__*/ _jsxs("div", {
        className: "flex items-center gap-2",
        children: [
            /*#__PURE__*/ _jsx("input", {
                className: "h-2 bg-neutral-200 border-0 rounded appearance-none fill-neutral-300",
                type: "range",
                min: "25",
                max: "100",
                step: "25",
                onChange: handleChange,
                value: currentValue
            }),
            /*#__PURE__*/ _jsxs("span", {
                className: "text-xs font-semibold text-neutral-500 select-none",
                children: [
                    value,
                    "%"
                ]
            })
        ]
    });
});
AudioBlockWidth.displayName = "AudioBlockWidth";

//# sourceMappingURL=AudioBlockWidth.js.map