import { jsx as _jsx } from "react/jsx-runtime";
import { BubbleMenu as BaseBubbleMenu } from "@tiptap/react";
import React, { useCallback } from "react";
import { EditIframeLinkPopover } from "../../../features/menus/TextMenu/components/EditIframeLinkPopover.js";
import { Toolbar } from "../../../features/ui/Toolbar.js";
import { getRenderContainer } from "../../../lib/utils/index.js";
import i18next from "i18next";
export const IframeMenu = ({ editor, appendTo })=>{
    const getReferenceClientRect = useCallback(()=>{
        const renderContainer = getRenderContainer(editor, "iframe");
        const rect = renderContainer?.getBoundingClientRect() || new DOMRect(-1000, -1000, 0, 0);
        return rect;
    }, [
        editor
    ]);
    const shouldShow = useCallback(()=>{
        const isIframe = editor.isActive("iframe");
        return isIframe;
    }, [
        editor
    ]);
    const onSetLink = useCallback((src)=>editor.chain().focus().setIframe({
            src: src
        }).run(), [
        editor
    ]);
    return /*#__PURE__*/ _jsx(BaseBubbleMenu, {
        editor: editor,
        pluginKey: `iframeMenu`,
        shouldShow: shouldShow,
        tippyOptions: {
            popperOptions: {
                placement: "top-start"
            }
        },
        updateDelay: 100,
        children: /*#__PURE__*/ _jsx(Toolbar.Wrapper, {
            children: /*#__PURE__*/ _jsx(Toolbar.Button, {
                type: "button",
                tooltip: i18next.t("iframe Link") || "iframe",
                active: true,
                children: /*#__PURE__*/ _jsx(EditIframeLinkPopover, {
                    onSetLink: onSetLink,
                    initialSrcLink: editor?.getAttributes("iframe")?.editorValue ?? ""
                })
            })
        })
    });
};
export default IframeMenu;

//# sourceMappingURL=IframeMenu.js.map