import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { NodeViewWrapper } from "@tiptap/react";
import React, { useCallback, useRef } from "react";
import { cn } from "../../../lib/utils/index.js";
export const ImageBlockView = (props)=>{
    const { editor, getPos, node } = props;
    const imageWrapperRef = useRef(null);
    const { src, caption } = node.attrs;
    const wrapperClassName = cn(node.attrs.align === "left" ? "ml-0" : "ml-auto", node.attrs.align === "right" ? "mr-0" : "mr-auto", node.attrs.align === "center" && "mx-auto");
    const onClick = useCallback(()=>{
        editor.commands.setNodeSelection(getPos());
    }, [
        getPos,
        editor.commands
    ]);
    const onInputBlur = useCallback((e)=>{
        const title = e.target.value;
        editor.chain().focus(undefined, {
            scrollIntoView: false
        }).setImageCaption(title).run();
    }, [
        editor
    ]);
    return /*#__PURE__*/ _jsx(NodeViewWrapper, {
        children: /*#__PURE__*/ _jsx("div", {
            className: wrapperClassName,
            style: {
                width: node.attrs.width
            },
            children: /*#__PURE__*/ _jsxs("div", {
                ref: imageWrapperRef,
                children: [
                    /*#__PURE__*/ _jsx("img", {
                        className: "block",
                        src: src,
                        alt: "",
                        onClick: onClick
                    }),
                    /*#__PURE__*/ _jsx("textarea", {
                        className: "w-full h-16 mb-2 placeholder-black p-1 text-sm focus:border focus:border-gray-300 text-gray-400 border-0 rounded appearance-none",
                        onBlur: onInputBlur,
                        defaultValue: caption,
                        onClick: onClick
                    })
                ]
            })
        })
    });
};
export default ImageBlockView;

//# sourceMappingURL=ImageBlockView.js.map