import { Node, ReactNodeViewRenderer } from "@tiptap/react";
import { ImageUploadBuilder } from "./view/ImageUpload.js";
export const ImageUpload = Node.create({
    name: "imageUpload",
    isolating: true,
    defining: true,
    group: "block",
    draggable: true,
    selectable: true,
    inline: false,
    parseHTML () {
        return [
            {
                tag: `div[data-type="${this.name}"]`
            }
        ];
    },
    renderHTML () {
        return [
            "div",
            {
                "data-type": this.name
            }
        ];
    },
    addAttributes () {
        return {
            type: {
                default: null
            }
        };
    },
    addCommands () {
        return {
            setImageUpload: (type)=>({ commands })=>{
                    return commands.insertContent({
                        type: "imageUpload",
                        attrs: {
                            type
                        }
                    });
                }
        };
    },
    addNodeView () {
        const openAssetHQHandler = this.options.openAssetHQHandler;
        return ReactNodeViewRenderer(ImageUploadBuilder(openAssetHQHandler));
    }
});
export default ImageUpload;

//# sourceMappingURL=ImageUpload.js.map