"use client";
import { jsx as _jsx } from "react/jsx-runtime";
// import { CustomRelationShipComponent } from '@/components/CustomRelationshipComponent'
// import { PayloadAsyncSelect } from '@/components/PayloadAsyncSelect'
import { Button } from "@payloadcms/ui/elements/Button";
import { useCallback, useState } from "react";
const limit = 10;
export const ContentRelationship = ({ setRelationship, cancelSelection })=>{
    const [optionType, setOptionType] = useState("articles");
    const [relationOption, setRelationOption] = useState(null);
    const opts = [
        {
            label: "Article",
            value: "articles"
        },
        {
            label: "Video",
            value: "video"
        },
        {
            label: "Audio",
            value: "audios"
        }
    ];
    const fetchContentTypes = useCallback(async (search, loadedOptions, { page })=>{
        try {
            // Perform your API call with the endpoint and inputValue
            return {
                options: opts,
                hasMore: opts?.length === limit,
                additional: {
                    page: page + 1
                }
            };
        } catch (error) {
        // console.error('Error fetching data:', error)
        }
    }, []);
    return /*#__PURE__*/ _jsx("div", {
        className: "w-full min-w-[300px] ",
        children: /*#__PURE__*/ _jsx("div", {
            children: /*#__PURE__*/ _jsx(Button, {
                onClick: ()=>{
                    let url = "";
                    const topic = relationOption?.topics?.[0]?.slug ?? "";
                    switch(optionType){
                        case "articles":
                            url = `/${topic}/${relationOption?.slug}`;
                            break;
                        case "video":
                            url = `/video/${relationOption?.slug}`;
                            break;
                        case "audios":
                            url = `/audio/${relationOption?.slug}`;
                            break;
                    }
                    setRelationship({
                        id: relationOption?.id,
                        type: optionType,
                        thumbnail: relationOption?.thumbnail?.url,
                        title: relationOption?.title,
                        url: url
                    });
                },
                children: "Save"
            })
        })
    });
};

//# sourceMappingURL=InsideLink.client.js.map