import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ExternalLinkIcon } from "@payloadcms/ui/graphics/ExternalLink";
import { NodeViewContent, NodeViewWrapper } from "@tiptap/react";
import i18next from "i18next";
import { cn } from "../../lib/utils/index.js";
export default (({ className, ...props })=>{
    return /*#__PURE__*/ _jsx(NodeViewWrapper, {
        className: cn("react-component", className),
        onClick: ()=>{
            props.editor.commands.setNodeSelection(props.getPos());
        },
        children: /*#__PURE__*/ _jsx(NodeViewContent, {
            contentEditable: "false",
            className: "socialMediaContainer",
            children: props?.node.type.spec.draggable ? /*#__PURE__*/ _jsx("div", {
                draggable: "true",
                "data-drag-handle": "",
                style: {
                    width: "100%"
                },
                children: !props?.node?.attrs?.id ?? "" ? /*#__PURE__*/ _jsxs("div", {
                    className: "w-full bg-zinc-100 py-8 px-6 flex items-center justify-center gap-2 socialMediaCard",
                    draggable: "true",
                    "data-drag-handle": "",
                    children: [
                        /*#__PURE__*/ _jsx(ExternalLinkIcon, {
                            className: "h-6 w-6"
                        }),
                        /*#__PURE__*/ _jsx("p", {
                            className: "w-full flex items-center justify-start mt-0",
                            style: {
                                marginTop: 0
                            },
                            children: "Add Internal Content Links"
                        })
                    ]
                }) : /*#__PURE__*/ _jsxs("div", {
                    className: "flex justify-center items-center w-full  gap-x-6",
                    children: [
                        /*#__PURE__*/ _jsxs("div", {
                            className: "flex justify-center items-center",
                            children: [
                                /*#__PURE__*/ _jsx("div", {
                                    className: "w-[32px] h-[64px] bg-blue-400"
                                }),
                                /*#__PURE__*/ _jsx("img", {
                                    src: props?.node?.attrs?.thumbnail ?? "",
                                    width: 212,
                                    height: 120,
                                    alt: "",
                                    className: "-ml-6 !w-[212px] !h-[120px] object-cover"
                                })
                            ]
                        }),
                        /*#__PURE__*/ _jsxs("div", {
                            className: "flex flex-col justidy-start items-start font-trt gap-y-2 ",
                            children: [
                                /*#__PURE__*/ _jsx("a", {
                                    className: "text-black dark:text-white text-lg capitalize w-full",
                                    // href={`https://test-payload.trtglobal.tech/en${props?.node?.attrs?.url}` ?? ''}
                                    //@ts-ignore
                                    // dir={isRTL("بیشتر بخوانید" ?? "") ? "rtl" : "ltr"}
                                    dir: i18next.dir(),
                                    children: "بیشتر بخوانید"
                                }),
                                /*#__PURE__*/ _jsx("h3", {
                                    className: "text-2xl font-bold !mt-0 w-full",
                                    dir: i18next.dir(),
                                    children: props?.node?.attrs?.title
                                })
                            ]
                        })
                    ]
                })
            }) : null
        })
    });
});

//# sourceMappingURL=InsideLinksComponent.js.map