import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BubbleMenu as BaseBubbleMenu } from "@tiptap/react";
import { useCallback } from "react";
import { InsideLinksEditorPanel } from "../../../features/panels/InsideLinksEditorPanel/index.js";
export const InsideLinksMenu = ({ editor, appendTo })=>{
    const shouldShow = useCallback(()=>{
        const isInsideLinks = editor.isActive("insideLinks");
        return isInsideLinks;
    }, [
        editor
    ]);
    const onRelationshipSelect = useCallback(({ id, type, thumbnail, title, url })=>{
        editor.chain().focus().insertInsideLinks({
            id,
            type,
            thumbnail,
            title,
            url
        }).run();
    }, [
        editor
    ]);
    return /*#__PURE__*/ _jsxs(BaseBubbleMenu, {
        editor: editor,
        pluginKey: `socialMediaMenu`,
        shouldShow: shouldShow,
        tippyOptions: {
            popperOptions: {
                placement: "bottom"
            },
            placement: "bottom"
        },
        updateDelay: 100,
        children: [
            /*#__PURE__*/ _jsx("p", {
                children: "Inside Links"
            }),
            /*#__PURE__*/ _jsx(InsideLinksEditorPanel, {
                onRelationshipSelect: onRelationshipSelect,
                onCancel: ()=>{
                    editor.chain().blur().run();
                }
            })
        ]
    });
};
export default InsideLinksMenu;

//# sourceMappingURL=InsideLinksMenu.js.map