import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as Popover from "@radix-ui/react-popover";
import { Link } from "lucide-react";
import { Icon } from "../../features/ui/Icon.js";
import { Toolbar } from "../../features/ui/Toolbar.js";
import i18next from "i18next";
import { LinkPreviewEditorPanel } from "./LinkPreviewEditorPanel.js";
export const EditLinkPreviewPopover = ({ onSetLink, initialSrcLink })=>{
    return /*#__PURE__*/ _jsxs(Popover.Root, {
        children: [
            /*#__PURE__*/ _jsx(Popover.Trigger, {
                asChild: true,
                children: /*#__PURE__*/ _jsx(Toolbar.Button, {
                    type: "button",
                    tooltip: i18next.t("setEmbedCodeOrLink") || "Set Embed Code / Embed Link",
                    children: /*#__PURE__*/ _jsx(Icon, {
                        icon: Link
                    })
                })
            }),
            /*#__PURE__*/ _jsx(Popover.Content, {
                children: /*#__PURE__*/ _jsx(LinkPreviewEditorPanel, {
                    onSetLink: onSetLink,
                    initialSrc: initialSrcLink ?? ""
                })
            })
        ]
    });
};

//# sourceMappingURL=EditLinkPreviewPopover.js.map