import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useCallback, useState } from "react";
import { Link } from "lucide-react";
import { Icon } from "../../features/ui/Icon.js";
import { Surface } from "../../features/ui/Surface.js";
import i18next from "i18next";
import { Button } from "../../features/ui/Button/Button.js";
export const useLinkEditorState = ({ initialSrc, onSetLink })=>{
    const [url, setUrl] = useState(initialSrc || "");
    const onChange = useCallback((event)=>{
        setUrl(event.target.value);
    }, []);
    // const isValidUrl = useMemo(() => /^(\S+):(\/\/)?\S+$/.test(url), [url]);
    const handleSubmit = useCallback((e)=>{
        e.preventDefault();
        // if (isValidUrl) {
        onSetLink(url);
    // }
    }, [
        url,
        onSetLink
    ]);
    return {
        url,
        setUrl,
        onChange,
        handleSubmit
    };
};
export const LinkPreviewEditorPanel = ({ onSetLink, initialOpenInNewTab, initialSrc })=>{
    const state = useLinkEditorState({
        onSetLink,
        initialOpenInNewTab,
        initialSrc
    });
    return /*#__PURE__*/ _jsx(Surface, {
        className: "p-2",
        children: /*#__PURE__*/ _jsxs("div", {
            className: "flex items-center gap-2",
            children: [
                /*#__PURE__*/ _jsxs("label", {
                    className: "flex items-center gap-2 p-2 rounded-lg bg-neutral-100 dark:bg-neutral-900 cursor-text",
                    children: [
                        /*#__PURE__*/ _jsx(Icon, {
                            icon: Link,
                            className: "flex-none text-black dark:text-white"
                        }),
                        /*#__PURE__*/ _jsx("textarea", {
                            className: "flex-1 bg-transparent outline-none min-w-[16rem] min-h-[200px] text-black text-sm dark:text-white",
                            placeholder: i18next.t("enterEmbedCode") || "Enter Embed Code",
                            value: state.url,
                            onChange: state.onChange
                        })
                    ]
                }),
                /*#__PURE__*/ _jsx(Button, {
                    variant: "primary",
                    buttonSize: "small",
                    type: "button",
                    onClick: (e)=>{
                        state.handleSubmit(e);
                    },
                    children: "Set Link"
                })
            ]
        })
    });
};

//# sourceMappingURL=LinkPreviewEditorPanel.js.map