import { jsx as _jsx } from "react/jsx-runtime";
import { BubbleMenu as BaseBubbleMenu } from "@tiptap/react";
import React, { useCallback } from "react";
import { Toolbar } from "../../../features/ui/Toolbar.js";
import { LinkPreviewEditorPanel } from "../LinkPreviewEditorPanel.js";
export const ILinkPreviewMenu = ({ editor, appendTo, fetchSiteMetadata })=>{
    const shouldShow = useCallback(()=>{
        const isLinkPreview = editor.isActive("linkPreview");
        return isLinkPreview;
    }, [
        editor
    ]);
    const onSetLink = useCallback(async (src)=>{
        if (fetchSiteMetadata) {
            const metadata = await fetchSiteMetadata(src);
            editor.chain().focus().setLinkPreview(src, metadata).run();
        }
    }, [
        editor
    ]);
    return /*#__PURE__*/ _jsx(BaseBubbleMenu, {
        editor: editor,
        pluginKey: "linkPreview",
        shouldShow: shouldShow,
        tippyOptions: {
            popperOptions: {
                placement: "top-start"
            }
        },
        updateDelay: 100,
        children: /*#__PURE__*/ _jsx(Toolbar.Button, {
            type: "button",
            children: /*#__PURE__*/ _jsx(LinkPreviewEditorPanel, {
                onSetLink: onSetLink,
                // @ts-ignore
                initialSrcLink: editor?.getAttributes("linkPreview")?.editorValue ?? ""
            })
        })
    });
};
export default ILinkPreviewMenu;

//# sourceMappingURL=linkPreviewMenu.js.map