import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from "react";
import { Icon } from "../../features/ui/Icon.js";
import { cn } from "../../lib/utils/index.js";
export const CommandButton = /*#__PURE__*/ forwardRef(({ active, icon, onClick, title }, ref)=>{
    const wrapperClass = cn("flex text-neutral-500 items-center text-xs font-semibold justify-start p-1.5 gap-2 rounded", !active && "bg-transparent hover:bg-neutral-50 hover:text-black", active && "bg-neutral-100 text-black hover:bg-neutral-100");
    return /*#__PURE__*/ _jsxs("button", {
        type: "button",
        ref: ref,
        onClick: onClick,
        className: wrapperClass,
        children: [
            /*#__PURE__*/ _jsx(Icon, {
                icon: icon,
                className: "w-3 h-3"
            }),
            /*#__PURE__*/ _jsx("div", {
                className: "flex flex-col items-start justify-start",
                children: /*#__PURE__*/ _jsx("div", {
                    className: "text-sm font-medium",
                    children: title
                })
            })
        ]
    });
});
CommandButton.displayName = "CommandButton";

//# sourceMappingURL=CommandButton.js.map