import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BubbleMenu as BaseBubbleMenu } from "@tiptap/react";
import React, { useCallback } from "react";
import { ArrowLeftToLine, ArrowRightToLine, Trash } from "lucide-react";
import { Icon } from "../../../../features/ui/Icon.js";
import * as PopoverMenu from "../../../../features/ui/PopoverMenu.js";
import { Toolbar } from "../../../../features/ui/Toolbar.js";
import { isColumnGripSelected } from "./utils.js";
export const TableColumnMenu = /*#__PURE__*/ React.memo(({ editor, appendTo })=>{
    const shouldShow = useCallback(({ view, state, from })=>{
        if (!state) {
            return false;
        }
        return isColumnGripSelected({
            editor,
            view,
            state,
            from: from || 0
        });
    }, [
        editor
    ]);
    const onAddColumnBefore = useCallback(()=>{
        editor.chain().focus().addColumnBefore().run();
    }, [
        editor
    ]);
    const onAddColumnAfter = useCallback(()=>{
        editor.chain().focus().addColumnAfter().run();
    }, [
        editor
    ]);
    const onDeleteColumn = useCallback(()=>{
        editor.chain().focus().deleteColumn().run();
    }, [
        editor
    ]);
    return /*#__PURE__*/ _jsx(BaseBubbleMenu, {
        editor: editor,
        pluginKey: "tableColumnMenu",
        updateDelay: 0,
        tippyOptions: {
            appendTo: ()=>{
                return appendTo?.current;
            },
            offset: [
                0,
                15
            ],
            popperOptions: {
                modifiers: [
                    {
                        name: "flip",
                        enabled: false
                    }
                ]
            }
        },
        shouldShow: shouldShow,
        children: /*#__PURE__*/ _jsxs(Toolbar.Wrapper, {
            isVertical: true,
            children: [
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    iconComponent: /*#__PURE__*/ _jsx(Icon, {
                        icon: ArrowLeftToLine
                    }),
                    close: false,
                    label: "Add column before",
                    onClick: onAddColumnBefore
                }),
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    iconComponent: /*#__PURE__*/ _jsx(Icon, {
                        icon: ArrowRightToLine
                    }),
                    close: false,
                    label: "Add column after",
                    onClick: onAddColumnAfter
                }),
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    icon: Trash,
                    close: false,
                    label: "Delete column",
                    onClick: onDeleteColumn
                })
            ]
        })
    });
});
TableColumnMenu.displayName = "TableColumnMenu";
export default TableColumnMenu;

//# sourceMappingURL=index.js.map