import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BubbleMenu as BaseBubbleMenu } from "@tiptap/react";
import React, { useCallback } from "react";
import * as PopoverMenu from "../../../../features/ui/PopoverMenu.js";
import { Toolbar } from "../../../../features/ui/Toolbar.js";
import { ArrowDownToLine, ArrowUpToLine, Trash } from "lucide-react";
import { Icon } from "../../../../features/ui/Icon.js";
import { isRowGripSelected } from "./utils.js";
export const TableRowMenu = /*#__PURE__*/ React.memo(({ editor, appendTo })=>{
    const shouldShow = useCallback(({ view, state, from })=>{
        if (!state || !from) {
            return false;
        }
        return isRowGripSelected({
            editor,
            view,
            state,
            from
        });
    }, [
        editor
    ]);
    const onAddRowBefore = useCallback(()=>{
        editor.chain().focus().addRowBefore().run();
    }, [
        editor
    ]);
    const onAddRowAfter = useCallback(()=>{
        editor.chain().focus().addRowAfter().run();
    }, [
        editor
    ]);
    const onDeleteRow = useCallback(()=>{
        editor.chain().focus().deleteRow().run();
    }, [
        editor
    ]);
    return /*#__PURE__*/ _jsx(BaseBubbleMenu, {
        editor: editor,
        pluginKey: "tableRowMenu",
        updateDelay: 0,
        tippyOptions: {
            appendTo: ()=>{
                return appendTo?.current;
            },
            placement: "left",
            offset: [
                0,
                15
            ],
            popperOptions: {
                modifiers: [
                    {
                        name: "flip",
                        enabled: false
                    }
                ]
            }
        },
        shouldShow: shouldShow,
        children: /*#__PURE__*/ _jsxs(Toolbar.Wrapper, {
            isVertical: true,
            children: [
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    iconComponent: /*#__PURE__*/ _jsx(Icon, {
                        icon: ArrowUpToLine
                    }),
                    close: false,
                    label: "Add row before",
                    onClick: onAddRowBefore
                }),
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    iconComponent: /*#__PURE__*/ _jsx(Icon, {
                        icon: ArrowDownToLine
                    }),
                    close: false,
                    label: "Add row after",
                    onClick: onAddRowAfter
                }),
                /*#__PURE__*/ _jsx(PopoverMenu.Item, {
                    icon: Trash,
                    close: false,
                    label: "Delete row",
                    onClick: onDeleteRow
                })
            ]
        })
    });
});
TableRowMenu.displayName = "TableRowMenu";
export default TableRowMenu;

//# sourceMappingURL=index.js.map