import { Range } from "@tiptap/core";
declare module "@tiptap/core" {
    interface Commands<ReturnType> {
        videoBlock: {
            setVideoBlock: (attributes: {
                src: string;
                poster: string;
                assetId: string;
                playlistUrl?: string;
                title: string;
                actualWidth?: number;
                actualHeight?: number;
            }) => ReturnType;
            setVideoBlockAt: (attributes: {
                src: string;
                poster: string;
                assetId: string;
                playlistUrl?: string;
                title: string;
                pos: number | Range;
                actualWidth?: number;
                actualHeight?: number;
            }) => ReturnType;
            setVideoBlockAlign: (align: "left" | "center" | "right") => ReturnType;
            setVideoBlockWidth: (width: number) => ReturnType;
            setVideoBlockCaption: (caption: boolean) => ReturnType;
        };
    }
}
export declare const VideoBlock: import("@tiptap/react").Node<import("../Video/Video.js").VideoOptions, any>;
export default VideoBlock;
//# sourceMappingURL=VideoBlock.d.ts.map