import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import videojs from "video.js/dist/video.js";
import "video.js/dist/video-js.css";
// Styles
import "video.js/dist/video-js.css";
import { QualitySelector } from "./quality-selector/index.js";
const initialOptions = {
    controls: true,
    fluid: true,
    controlBar: {
        volumePanel: {
            inline: false
        }
    }
};
const VideoPlayer = ({ options, style })=>{
    const videoNode = React.useRef(null);
    const player = React.useRef(null);
    React.useEffect(()=>{
        QualitySelector(videojs);
        player.current = videojs(videoNode.current, {
            ...initialOptions,
            ...options
        }).ready(function() {
            if (!this.controlBar.children().some((c)=>c.name_ === "QualitySelector")) {
                this.controlBar.addChild("QualitySelector");
            }
        });
        return ()=>{
            if (player.current) {
                player.current.dispose();
            }
        };
    }, [
        options
    ]);
    return /*#__PURE__*/ _jsx("video", {
        ref: videoNode,
        className: "video-js",
        style: style
    });
};
export default VideoPlayer;

//# sourceMappingURL=VideoPlayer.js.map