"use client";
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { Portal } from "@radix-ui/react-portal";
import { memo, useEffect, useState } from "react";
import { renderEmbedContent } from "./RenderEmbedClientSide.js";
const CustomPortal = /*#__PURE__*/ memo(({ content, getVideoAspect, ...props })=>{
    useEffect(()=>{}, []);
    return /*#__PURE__*/ _jsx(Portal, {
        ...props,
        children: renderEmbedContent(content, getVideoAspect)
    });
});
export function EmbedContentInlineRenderer({ body, getVideoAspect }) {
    const [mounted, setMounted] = useState(false);
    useEffect(()=>{
        setMounted(true);
    }, []);
    if (!mounted) return null;
    return /*#__PURE__*/ _jsx(_Fragment, {
        children: body.content.filter((content)=>typeof content?.attrs?.["data-id"] === "number" || typeof content?.attrs?.["data-id"] === "string").map((content)=>{
            return /*#__PURE__*/ _jsx(CustomPortal, {
                container: document?.querySelector(`[data-id='${content.attrs["data-id"]}']`),
                content: content,
                getVideoAspect: getVideoAspect
            }, `embed-content-inline-${content.attrs["data-id"]}-${content.attrs.key}`);
        })
    });
}

//# sourceMappingURL=EmbedContentInlineRenderer.js.map