import { Node } from "@tiptap/core";
export const IFrameServerside = Node.create({
    name: "iframe",
    group: "block",
    content: "inline*",
    draggable: true,
    atom: true,
    addOptions () {
        return {
            allowFullscreen: true,
            HTMLAttributes: {
                class: "iframe-wrapper"
            }
        };
    },
    addAttributes () {
        return {
            src: {
                default: null
            },
            frameborder: {
                default: 0
            },
            allowfullscreen: {
                default: this.options.allowFullscreen,
                parseHTML: ()=>this.options.allowFullscreen
            }
        };
    },
    parseHTML () {
        return [
            {
                tag: "iframe"
            }
        ];
    },
    renderHTML ({ HTMLAttributes }) {
        return [
            "div",
            this.options.HTMLAttributes,
            [
                "iframe",
                HTMLAttributes
            ]
        ];
    }
});

//# sourceMappingURL=IFrameServerside.js.map