import { Node, mergeAttributes } from "@tiptap/core";
export const InstagramServerside = Node.create({
    name: "instagram",
    group: "block",
    content: "inline*",
    parseHTML () {
        return [
            {
                tag: 'a[data-type="instagram"]'
            }
        ];
    },
    addAttributes () {
        return {
            url: {
                default: null
            },
            "data-id": {
                default: null
            },
            class: {
                default: "inline-instagram"
            }
        };
    },
    renderHTML ({ HTMLAttributes }) {
        return [
            "div",
            mergeAttributes(HTMLAttributes, {
                "data-type": "instagram",
                class: `react-renderer node-instagram ${HTMLAttributes.class}`
            }),
            0
        ];
    }
});

//# sourceMappingURL=InstagramServerside.js.map