import { jsx as _jsx } from "react/jsx-runtime";
import { FacebookEmbed, InstagramEmbed, LinkedInEmbed, TikTokEmbed, XEmbed, YouTubeEmbed } from "react-social-media-embed";
import VideoBlockViewClientside from "../VideoBlock/components/VideoBlockViewClientside.js";
import { SocialMediaEmbedServerside } from "../SocialMedia/SocialMediaEmbedServerside.js";
import InsideLinksComponent from "../InsideLinks/InsideLinksComponent.js";
import { ImageBlockViewClientside } from "../ImageBlock/components/ImageBlockViewClientside.js";
function checkIfValidLink(link) {
    return typeof link === "string";
}
export const renderEmbedContent = (content, getVideoAspect)=>{
    switch(content.type){
        case "twitter":
            if (!checkIfValidLink(content.attrs.url)) {
                return null;
            }
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(XEmbed, {
                    url: content.attrs.url || "",
                    width: 325
                })
            });
        case "youtube":
            if (!checkIfValidLink(content.attrs.url)) {
                return null;
            }
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(YouTubeEmbed, {
                    url: content.attrs.url || ""
                })
            });
        case "instagram":
            if (!checkIfValidLink(content.attrs.url)) {
                return null;
            }
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(InstagramEmbed, {
                    className: "max-w-[328px]",
                    url: content.attrs.url || "",
                    width: 328,
                    captioned: true
                })
            });
        case "tiktok":
            if (!checkIfValidLink(content.attrs.url)) {
                return null;
            }
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(TikTokEmbed, {
                    className: "max-w-[328px]",
                    url: content.attrs.url || "",
                    width: 328
                })
            });
        case "imageBlock":
            return /*#__PURE__*/ _jsx(ImageBlockViewClientside, {
                content: content
            });
        case "videoBlock":
            // @ts-ignore
            return /*#__PURE__*/ _jsx(VideoBlockViewClientside, {
                node: content,
                getVideoAspect: getVideoAspect
            });
        case "facebook":
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(FacebookEmbed, {
                    url: content.attrs.url || "",
                    width: 550
                })
            });
        case "linkedin":
            if (!checkIfValidLink(content.attrs.url)) {
                return null;
            }
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx(LinkedInEmbed, {
                    url: content.attrs.url || "",
                    width: 325,
                    height: 570
                })
            });
        case "insideLinks":
            return /*#__PURE__*/ _jsx(InsideLinksComponent, {
                ...content
            });
        case "iframe":
            return /*#__PURE__*/ _jsx(SocialMediaEmbedServerside, {
                children: /*#__PURE__*/ _jsx("div", {
                    className: "iframe-wrapper",
                    children: /*#__PURE__*/ _jsx("iframe", {
                        src: content?.attrs?.src ?? "",
                        allowFullScreen: true
                    })
                })
            });
        default:
            return null;
    }
};

//# sourceMappingURL=RenderEmbedClientSide.js.map