import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from "react";
import { PanelLeft, PanelLeftClose } from "lucide-react";
import { Icon } from "../../ui/Icon.js";
import { Toolbar } from "../../ui/Toolbar.js";
import { EditorInfo } from "./EditorInfo.js";
import i18next from "i18next";
export const EditorHeader = ({ characters, users, words, isSidebarOpen, toggleSidebar })=>{
    return /*#__PURE__*/ _jsxs("div", {
        className: "w-full flex flex-row items-center justify-between flex-none py-2  text-black bg-white border-b border-neutral-200 dark:bg-black dark:text-white dark:border-neutral-800",
        children: [
            /*#__PURE__*/ _jsx("div", {
                className: "flex flex-row gap-x-1.5 items-center",
                children: /*#__PURE__*/ _jsx("div", {
                    className: "flex items-center gap-x-1.5",
                    children: /*#__PURE__*/ _jsx(Toolbar.Button, {
                        type: "button",
                        tooltip: isSidebarOpen ? i18next.t("closeSidebar") || "Close sidebar" : i18next.t("openSidebar") || "Open sidebar",
                        onClick: toggleSidebar,
                        active: isSidebarOpen,
                        className: isSidebarOpen ? "bg-transparent" : "",
                        children: /*#__PURE__*/ _jsx(Icon, {
                            icon: isSidebarOpen ? PanelLeftClose : PanelLeft
                        })
                    })
                })
            }),
            /*#__PURE__*/ _jsx(EditorInfo, {
                characters: characters,
                words: words,
                users: users
            })
        ]
    });
};

//# sourceMappingURL=EditorHeader.js.map