export interface TiptapProps {
    hasCollab: boolean;
    handleChange: (value: any) => void;
    content: {
        html: string;
        json: any;
    };
}
export type LanguageOption = {
    name: string;
    label: string;
    value: any;
};
export type EditorUser = {
    clientId: string;
    name: string;
    color: string;
    initials?: string;
};
export type AiTone = "academic" | "business" | "casual" | "childfriendly" | "conversational" | "emotional" | "humorous" | "informative" | "inspirational" | string;
export type AiPromptType = "SHORTEN" | "EXTEND" | "SIMPLIFY" | "TONE";
export type AiToneOption = {
    name: string;
    label: string;
    value: AiTone;
};
export type AiImageStyle = {
    name: string;
    label: string;
    value: string;
};
export type AdditionalContextType = {
    /** standard langauage code */
    language: string;
    /** translation object for the langauge sent down */
    translations: Record<string, string>;
    [k: string]: any;
};
export type SiteMetaData = {
    url: string;
    title: string;
    siteName: string;
    description: string;
    mediaType: string;
    contentType: string;
    images: Array<string>;
    videos: [];
    favicons: Array<string>;
    charset: string;
};
export type FetchSiteMetadataType = (url: string) => Promise<SiteMetaData>;
//# sourceMappingURL=types.d.ts.map