import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BubbleMenu } from "@tiptap/react";
import { Sparkles } from "lucide-react";
import { useState } from "react";
import { AIEditorPanel } from "../../panels/AIEditorPanel/AIEditorPanel.js";
import { Icon } from "../../ui/Icon.js";
import { Toolbar } from "../../ui/Toolbar.js";
// import { FontFamilyPicker } from "./components/FontFamilyPicker.js";
import i18next from "i18next";
import { useTextmenuCommands } from "./hooks/useTextmenuCommands.js";
import { useTextmenuContentTypes } from "./hooks/useTextmenuContentTypes.js";
import { useTextmenuStates } from "./hooks/useTextmenuStates.js";
export const AITextMenu = ({ editor, dir })=>{
    const commands = useTextmenuCommands(editor);
    const states = useTextmenuStates(editor);
    const blockOptions = useTextmenuContentTypes(editor);
    const [openAi, setOpenAi] = useState(false);
    return /*#__PURE__*/ _jsx(BubbleMenu, {
        tippyOptions: {
            placement: "auto",
            popperOptions: {
                placement: "auto"
            },
            onHide: ()=>{
                setOpenAi(false);
            }
        },
        editor: editor,
        pluginKey: "textMenu",
        shouldShow: states.shouldShow,
        updateDelay: 100,
        children: openAi ? /*#__PURE__*/ _jsx(AIEditorPanel, {
            editor: editor,
            onOpenChange: (value)=>{
                setOpenAi(value);
            }
        }) : /*#__PURE__*/ _jsx(Toolbar.Wrapper, {
            children: /*#__PURE__*/ _jsxs(Toolbar.Button, {
                className: "text-purple-500 hover:text-purple-600 active:text-purple-600 dark:text-purple-400 dark:hover:text-purple-300 dark:active:text-purple-400",
                activeClassname: "text-purple-600 hover:text-purple-600 dark:text-purple-400 dark:hover:text-purple-200",
                onClick: ()=>setOpenAi(true),
                children: [
                    /*#__PURE__*/ _jsx(Icon, {
                        icon: Sparkles,
                        className: "mr-1"
                    }),
                    i18next.t("aiTools") || "AI Tools",
                    /*#__PURE__*/ _jsx("span", {
                        className: "text-xs ml-1 px-2 py-1 bg-purple-100 text-purple-700 rounded-full dark:bg-purple-700 dark:text-purple-100 align-baseline",
                        children: "Beta"
                    })
                ]
            })
        })
    });
};

//# sourceMappingURL=AITextMenu.js.map