import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as Dropdown from "@radix-ui/react-dropdown-menu";
import { ChevronDown, Pilcrow } from "lucide-react";
import { useMemo } from "react";
import { DropdownButton, DropdownCategoryTitle } from "../../../ui/Dropdown/Dropdown.js";
import { Icon } from "../../../ui/Icon.js";
import { Surface } from "../../../ui/Surface.js";
import { Toolbar } from "../../../ui/Toolbar.js";
const isOption = (option)=>option.type === "option";
const isCategory = (option)=>option.type === "category";
export const ContentTypePicker = ({ options })=>{
    const activeItem = useMemo(()=>options.find((option)=>option.type === "option" && option.isActive()), [
        options
    ]);
    return /*#__PURE__*/ _jsxs(Dropdown.Root, {
        children: [
            /*#__PURE__*/ _jsx(Dropdown.Trigger, {
                asChild: true,
                children: /*#__PURE__*/ _jsxs(Toolbar.Button, {
                    type: "button",
                    active: activeItem?.id !== "paragraph" && !!activeItem?.type,
                    children: [
                        /*#__PURE__*/ _jsx(Icon, {
                            icon: activeItem?.type === "option" && activeItem.icon || Pilcrow
                        }),
                        /*#__PURE__*/ _jsx(Icon, {
                            icon: ChevronDown,
                            className: "w-2 h-2"
                        })
                    ]
                })
            }),
            /*#__PURE__*/ _jsx(Dropdown.Content, {
                asChild: true,
                children: /*#__PURE__*/ _jsx(Surface, {
                    className: "flex flex-col gap-1 px-2 py-4",
                    children: options.map((option)=>{
                        if (isOption(option)) {
                            return /*#__PURE__*/ _jsxs(DropdownButton, {
                                onClick: option.onClick,
                                isActive: option.isActive(),
                                children: [
                                    /*#__PURE__*/ _jsx(Icon, {
                                        icon: option.icon,
                                        className: "w-4 h-4 mr-1"
                                    }),
                                    option.label
                                ]
                            }, option.id);
                        } else if (isCategory(option)) {
                            return /*#__PURE__*/ _jsx("div", {
                                className: "mt-2 first:mt-0",
                                children: /*#__PURE__*/ _jsx(DropdownCategoryTitle, {
                                    children: option.label
                                }, option.id)
                            }, option.id);
                        }
                    })
                })
            })
        ]
    });
};

//# sourceMappingURL=ContentTypePicker.js.map