import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as Dropdown from "@radix-ui/react-dropdown-menu";
import { ChevronDown } from "lucide-react";
import { useCallback, useMemo } from "react";
import { DropdownButton } from "../../../ui/Dropdown/Dropdown.js";
import { Icon } from "../../../ui/Icon.js";
import { Surface } from "../../../ui/Surface.js";
import { Toolbar } from "../../../ui/Toolbar.js";
import i18next from "i18next";
export const FontSizePicker = ({ onChange, value })=>{
    const FONT_SIZES = useMemo(()=>[
            {
                label: i18next.t("smaller") || "Smaller",
                value: "12px"
            },
            {
                label: i18next.t("small") || "Small",
                value: "14px"
            },
            {
                label: i18next.t("medium") || "Medium",
                value: ""
            },
            {
                label: i18next.t("large") || "Large",
                value: "18px"
            },
            {
                label: i18next.t("extraLart") || "Extra Large",
                value: "24px"
            }
        ], []);
    const currentValue = FONT_SIZES.find((size)=>size.value === value);
    const currentSizeLabel = currentValue?.label.split(" ")[0] || "Medium";
    const selectSize = useCallback((size)=>()=>onChange(size), [
        onChange
    ]);
    return /*#__PURE__*/ _jsxs(Dropdown.Root, {
        children: [
            /*#__PURE__*/ _jsx(Dropdown.Trigger, {
                asChild: true,
                children: /*#__PURE__*/ _jsxs(Toolbar.Button, {
                    type: "button",
                    active: !!currentValue?.value,
                    children: [
                        currentSizeLabel,
                        /*#__PURE__*/ _jsx(Icon, {
                            icon: ChevronDown,
                            className: "w-2 h-2"
                        })
                    ]
                })
            }),
            /*#__PURE__*/ _jsx(Dropdown.Content, {
                asChild: true,
                children: /*#__PURE__*/ _jsx(Surface, {
                    className: "flex flex-col gap-1 px-2 py-4",
                    children: FONT_SIZES.map((size)=>/*#__PURE__*/ _jsx(DropdownButton, {
                            isActive: value === size.value,
                            onClick: selectSize(size.value),
                            children: /*#__PURE__*/ _jsx("span", {
                                style: {
                                    fontSize: size.value
                                },
                                children: size.label
                            })
                        }, `${size.label}_${size.value}`))
                })
            })
        ]
    });
};

//# sourceMappingURL=FontSizePicker.js.map