import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Check, TextQuote, TrashIcon } from 'lucide-react';
import { Toolbar } from '../../../ui/Toolbar.js';
const AICompletionCommands = ({ completion, onDiscard, editor })=>{
    return /*#__PURE__*/ _jsxs(_Fragment, {
        children: [
            /*#__PURE__*/ _jsxs(Toolbar.Button, {
                className: "gap-2 px-4 w-full flex justify-start ",
                value: "replace",
                onClick: ()=>{
                    const selection = editor.view.state.selection;
                    editor.chain().focus().insertContentAt({
                        from: selection.from,
                        to: selection.to
                    }, completion?.content ?? []).run();
                },
                children: [
                    /*#__PURE__*/ _jsx(Check, {
                        className: "h-4 w-4 text-muted-foreground"
                    }),
                    "Replace selection"
                ]
            }),
            /*#__PURE__*/ _jsxs(Toolbar.Button, {
                className: "gap-2 px-4 w-full flex justify-start",
                value: "insert",
                onClick: ()=>{
                    const selection = editor.view.state.selection;
                    editor.chain().focus().insertContentAt(selection.to + 1, completion?.content ?? []).run();
                },
                children: [
                    /*#__PURE__*/ _jsx(TextQuote, {
                        className: "h-4 w-4 text-muted-foreground"
                    }),
                    "Insert below"
                ]
            }),
            /*#__PURE__*/ _jsx(Toolbar.Divider, {
                horizontal: true
            }),
            /*#__PURE__*/ _jsxs(Toolbar.Button, {
                onClick: onDiscard,
                value: "thrash",
                className: "w-full text-red-500 bg-red-500 dark:text-red-500 hover:bg-red-500 dark:hover:text-red-500 dark:hover:bg-red-500 bg-opacity-10 hover:bg-opacity-20 dark:hover:bg-opacity-20",
                children: [
                    /*#__PURE__*/ _jsx(TrashIcon, {
                        className: "h-4 w-4 text-muted-foreground"
                    }),
                    "Discard"
                ]
            })
        ]
    });
};
export default AICompletionCommands;

//# sourceMappingURL=ai-completion-command.js.map