import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { ArrowDownWideNarrow, CheckCheck, RefreshCcwDot, WrapText } from "lucide-react";
import { DropdownCategoryTitle } from "../../../ui/Dropdown/Dropdown.js";
import { Toolbar } from "../../../ui/Toolbar.js";
export const draftPromptOptions = [
    // {
    //   value: 'translate',
    //   label: 'Translate text',
    //   icon: WrapText,
    // },
    {
        value: "brainstorm",
        label: "Brainstorm Ideas...",
        icon: WrapText,
        prompt: "Brainstorm ideas on "
    },
    {
        value: "blog",
        label: "Blog post...",
        icon: WrapText,
        prompt: "Write a blog post about "
    },
    {
        value: "outline",
        label: "Outline...",
        icon: RefreshCcwDot,
        prompt: "Write an outline about "
    },
    {
        value: "social",
        label: "Social Media post...",
        icon: CheckCheck,
        prompt: "Write a social media post about "
    },
    {
        value: "press",
        label: "Press release...",
        icon: ArrowDownWideNarrow,
        prompt: "Write a press release about "
    },
    {
        value: "creative",
        label: "Creative Story...",
        icon: WrapText,
        prompt: "Write a creative story about "
    },
    {
        value: "essay",
        label: "Essay...",
        icon: WrapText,
        prompt: "Write an essay about "
    }
];
const AIDraftSelectorCommands = ({ onSelect, editor })=>{
    return /*#__PURE__*/ _jsxs(_Fragment, {
        children: [
            /*#__PURE__*/ _jsx(DropdownCategoryTitle, {
                children: "Draft with AI"
            }),
            /*#__PURE__*/ _jsx(Toolbar.Divider, {
                horizontal: true
            }),
            draftPromptOptions.map((option)=>/*#__PURE__*/ _jsxs(Toolbar.Button, {
                    // onSelect={(value) => {
                    //   const slice = editor.state.selection.content()
                    //   const text = editor.storage.markdown.serializer.serialize(slice.content)
                    //   onSelect(text, option.value)
                    // }}
                    onClick: ()=>{
                        const { from, to, empty } = editor.state.selection;
                        // const content = editor.state.doc.textBetween(from, to, " ");
                        onSelect(option.prompt);
                    },
                    className: " gap-2 px-4 w-full flex justify-start",
                    value: option.value,
                    children: [
                        /*#__PURE__*/ _jsx(option.icon, {
                            className: "h-4 w-4 text-blue-500"
                        }),
                        option.label
                    ]
                }, option.value))
        ]
    });
};
export default AIDraftSelectorCommands;

//# sourceMappingURL=ai-draft-selector-commands.js.map