import { jsx as _jsx } from "react/jsx-runtime";
import React, { memo, useCallback } from "react";
import { cn } from "../../../lib/utils/index.js";
export const ColorButton = /*#__PURE__*/ memo(({ color, active, onColorChange })=>{
    const wrapperClassName = cn("flex items-center justify-center px-1.5 py-1.5 rounded group", !active && "hover:bg-neutral-100", active && "bg-neutral-100");
    const bubbleClassName = cn("w-4 h-4 rounded bg-slate-100 shadow-sm ring-offset-2 ring-current", !active && `hover:ring-1`, active && `ring-1`);
    const handleClick = useCallback(()=>{
        if (onColorChange) {
            onColorChange(color || "");
        }
    }, [
        onColorChange,
        color
    ]);
    return /*#__PURE__*/ _jsx("button", {
        type: "button",
        onClick: handleClick,
        className: wrapperClassName,
        children: /*#__PURE__*/ _jsx("div", {
            style: {
                backgroundColor: color,
                color: color
            },
            className: bubbleClassName
        })
    });
});
ColorButton.displayName = "ColorButton";

//# sourceMappingURL=ColorButton.js.map