import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Pen, Trash2 } from "lucide-react";
import { Icon } from "../../ui/Icon.js";
import { Surface } from "../../ui/Surface.js";
import { Toolbar } from "../../ui/Toolbar.js";
import Tooltip from "../../ui/Tooltip/index.js";
export const LinkPreviewPanel = ({ onClear, onEdit, url })=>{
    return /*#__PURE__*/ _jsxs(Surface, {
        className: "flex items-center gap-2 p-2",
        children: [
            /*#__PURE__*/ _jsx("a", {
                href: url,
                target: "_blank",
                rel: "noopener noreferrer",
                className: "text-sm underline break-all",
                children: url
            }),
            /*#__PURE__*/ _jsx(Toolbar.Divider, {}),
            /*#__PURE__*/ _jsx(Tooltip, {
                title: "Edit link",
                children: /*#__PURE__*/ _jsx(Toolbar.Button, {
                    type: "button",
                    onClick: onEdit,
                    children: /*#__PURE__*/ _jsx(Icon, {
                        icon: Pen
                    })
                })
            }),
            /*#__PURE__*/ _jsx(Tooltip, {
                title: "Remove link",
                children: /*#__PURE__*/ _jsx(Toolbar.Button, {
                    type: "button",
                    onClick: onClear,
                    children: /*#__PURE__*/ _jsx(Icon, {
                        icon: Trash2
                    })
                })
            })
        ]
    });
};

//# sourceMappingURL=LinkPreviewPanel.js.map