import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import { cn } from "../../../lib/utils/index.js";
export const DropdownCategoryTitle = ({ children })=>{
    return /*#__PURE__*/ _jsx("div", {
        className: "text-[.65rem] font-semibold mb-1 uppercase text-neutral-500 dark:text-neutral-400 px-1.5",
        children: children
    });
};
export const DropdownButton = ({ children, isActive, onClick, disabled, className })=>{
    const buttonClass = cn("flex items-center gap-2 p-1.5 text-sm font-medium text-neutral-500 dark:text-neutral-400 text-left bg-transparent w-full rounded outline-none cursor-pointer", !isActive && !disabled, "hover:bg-neutral-100 hover:text-neutral-800 dark:hover:bg-neutral-900 dark:hover:text-neutral-200", isActive && !disabled && "bg-neutral-100 text-neutral-800 dark:bg-neutral-900 dark:text-neutral-200", disabled && "text-neutral-400 cursor-not-allowed dark:text-neutral-600", className);
    return /*#__PURE__*/ _jsx("span", {
        className: buttonClass,
        // disabled={disabled}
        onClick: (e)=>{
            e.preventDefault();
            e.stopPropagation();
            onClick();
        },
        children: children
    });
};

//# sourceMappingURL=Dropdown.js.map