import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from "react";
import { createPortal } from "react-dom";
const LoadingWrapper = ({ label })=>{
    return /*#__PURE__*/ _jsxs("div", {
        className: "flex flex-col items-center justify-center gap-2 p-4 text-white bg-black rounded-lg shadow-2xl dark:text-black dark:bg-white",
        children: [
            /*#__PURE__*/ _jsx("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                viewBox: "0 0 24 24",
                fill: "none",
                stroke: "currentColor",
                strokeWidth: "2",
                strokeLinecap: "round",
                strokeLinejoin: "round",
                className: "w-8 h-8 animate-spin",
                children: /*#__PURE__*/ _jsx("path", {
                    d: "M21 12a9 9 0 1 1-6.219-8.56"
                })
            }),
            label && /*#__PURE__*/ _jsx("p", {
                className: "text-sm font-semibold leading-tight text-white dark:text-black",
                children: label
            })
        ]
    });
};
export const Loader = ({ hasOverlay = true, label })=>{
    return hasOverlay ? /*#__PURE__*/ createPortal(/*#__PURE__*/ _jsx("div", {
        className: "items-center justify-center bg-black/60 flex h-full w-full fixed top-0 left-0 select-none z-[9999]",
        children: /*#__PURE__*/ _jsx(LoadingWrapper, {
            label: label
        })
    }), document.body) : /*#__PURE__*/ _jsx(LoadingWrapper, {
        label: label
    });
};
export default Loader;

//# sourceMappingURL=Loader.js.map