import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import { forwardRef } from "react";
import { Slot } from "@radix-ui/react-slot";
import { Surface } from "../Surface.js";
import { cn } from "../../../lib/utils/index.js";
export const Panel = /*#__PURE__*/ forwardRef(({ asChild, className, children, spacing, noShadow, ...rest }, ref)=>{
    const panelClass = cn("p-2", spacing === "small" && "p-[0.2rem]", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        ref: ref,
        ...rest,
        children: /*#__PURE__*/ _jsx(Surface, {
            className: panelClass,
            withShadow: !noShadow,
            children: children
        })
    });
});
Panel.displayName = "Panel";
export const PanelDivider = /*#__PURE__*/ forwardRef(({ asChild, className, children, ...rest }, ref)=>{
    const dividerClass = cn("border-b border-b-black/10 mb-2 pb-2", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        className: dividerClass,
        ...rest,
        ref: ref,
        children: children
    });
});
PanelDivider.displayName = "PanelDivider";
export const PanelHeader = /*#__PURE__*/ forwardRef(({ asChild, className, children, ...rest }, ref)=>{
    const headerClass = cn("border-b border-b-black/10 text-sm mb-2 pb-2", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        className: headerClass,
        ...rest,
        ref: ref,
        children: children
    });
});
PanelHeader.displayName = "PanelHeader";
export const PanelSection = /*#__PURE__*/ forwardRef(({ asChild, className, children, ...rest }, ref)=>{
    const sectionClass = cn("mt-4 first:mt-1", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        className: sectionClass,
        ...rest,
        ref: ref,
        children: children
    });
});
PanelSection.displayName = "PanelSection";
export const PanelHeadline = /*#__PURE__*/ forwardRef(({ asChild, className, children, ...rest }, ref)=>{
    const headlineClass = cn("text-black/80 dark:text-white/80 text-xs font-medium mb-2 ml-1.5", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        className: headlineClass,
        ...rest,
        ref: ref,
        children: children
    });
});
PanelHeadline.displayName = "PanelHeadline";
export const PanelFooter = /*#__PURE__*/ forwardRef(({ asChild, className, children, ...rest }, ref)=>{
    const footerClass = cn("border-t border-black/10 text-sm mt-2 pt-2", className);
    const Comp = asChild ? Slot : "div";
    return /*#__PURE__*/ _jsx(Comp, {
        className: footerClass,
        ...rest,
        ref: ref,
        children: children
    });
});
PanelFooter.displayName = "PanelFooter";

//# sourceMappingURL=index.js.map