import { jsx as _jsx } from "react/jsx-runtime";
import React, { forwardRef } from "react";
import { cn } from "../../lib/utils/index.js";
export const Surface = /*#__PURE__*/ forwardRef(({ children, className, withShadow = true, withBorder = true, ...props }, ref)=>{
    const surfaceClass = cn(className, "bg-white rounded-lg dark:bg-black", withShadow ? "shadow-sm" : "", withBorder ? "border border-neutral-200 dark:border-neutral-800" : "");
    return /*#__PURE__*/ _jsx("div", {
        className: surfaceClass,
        ...props,
        ref: ref,
        children: children
    });
});
Surface.displayName = "Surface";

//# sourceMappingURL=Surface.js.map