import { ButtonHTMLAttributes, HTMLProps } from "react";
import { ButtonProps } from "./Button/Button.js";
export type ToolbarWrapperProps = {
    shouldShowContent?: boolean;
    isVertical?: boolean;
} & HTMLProps<HTMLDivElement>;
export type ToolbarDividerProps = {
    horizontal?: boolean;
} & HTMLProps<HTMLDivElement>;
export type ToolbarButtonProps = ButtonHTMLAttributes<HTMLButtonElement> & {
    active?: boolean;
    activeClassname?: string;
    tooltip?: string;
    tooltipShortcut?: string[];
    buttonSize?: ButtonProps["buttonSize"];
    variant?: ButtonProps["variant"];
};
export declare const Toolbar: {
    Wrapper: import("react").ForwardRefExoticComponent<Omit<ToolbarWrapperProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    Divider: import("react").ForwardRefExoticComponent<Omit<ToolbarDividerProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    Button: import("react").ForwardRefExoticComponent<ButtonHTMLAttributes<HTMLButtonElement> & {
        active?: boolean;
        activeClassname?: string;
        tooltip?: string;
        tooltipShortcut?: string[];
        buttonSize?: ButtonProps["buttonSize"];
        variant?: ButtonProps["variant"];
    } & import("react").RefAttributes<HTMLButtonElement>>;
};
//# sourceMappingURL=Toolbar.d.ts.map