"use client";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useCallback } from "react";
import Tippy from "@tippyjs/react";
const isMac = typeof window !== "undefined" ? navigator.platform.toUpperCase().indexOf("MAC") >= 0 : false;
const ShortcutKey = ({ children })=>{
    const className = "inline-flex items-center justify-center w-5 h-5 p-1 text-[0.625rem] rounded font-semibold leading-none border border-neutral-200 text-neutral-500 border-b-2";
    if (children === "Mod") {
        return /*#__PURE__*/ _jsx("kbd", {
            className: className,
            children: isMac ? "⌘" : "Ctrl"
        }); // ⌃
    }
    if (children === "Shift") {
        return /*#__PURE__*/ _jsx("kbd", {
            className: className,
            children: "⇧"
        });
    }
    if (children === "Alt") {
        return /*#__PURE__*/ _jsx("kbd", {
            className: className,
            children: isMac ? "⌥" : "Alt"
        });
    }
    return /*#__PURE__*/ _jsx("kbd", {
        className: className,
        children: children
    });
};
export const Tooltip = ({ children, enabled = true, title, shortcut, tippyOptions = {} })=>{
    const renderTooltip = useCallback((attrs)=>/*#__PURE__*/ _jsxs("span", {
            className: "flex items-center gap-2 px-2.5 py-1 bg-white border border-neutral-100 rounded-lg shadow-sm z-[999]",
            tabIndex: -1,
            "data-placement": attrs["data-placement"],
            "data-reference-hidden": attrs["data-reference-hidden"],
            "data-escaped": attrs["data-escaped"],
            children: [
                title && /*#__PURE__*/ _jsx("span", {
                    className: "text-xs font-medium text-neutral-500",
                    children: title
                }),
                shortcut && /*#__PURE__*/ _jsx("span", {
                    className: "flex items-center gap-0.5",
                    children: shortcut.map((shortcutKey)=>/*#__PURE__*/ _jsx(ShortcutKey, {
                            children: shortcutKey
                        }, shortcutKey))
                })
            ]
        }), [
        shortcut,
        title
    ]);
    if (enabled) {
        return /*#__PURE__*/ _jsx(TippyReact, {
            delay: 500,
            offset: [
                0,
                8
            ],
            touch: false,
            zIndex: 99999,
            appendTo: document.body,
            ...tippyOptions,
            render: renderTooltip,
            children: /*#__PURE__*/ _jsx("span", {
                children: children
            })
        });
    }
    return /*#__PURE__*/ _jsx(_Fragment, {
        children: children
    });
};
const TippyReact = Tippy;
export default Tooltip;

//# sourceMappingURL=index.js.map