import { useCallback, useState } from 'react';
export const useSidebar = ()=>{
    const [isOpen, setIsOpen] = useState(false);
    const open = useCallback(()=>{
        setIsOpen(true);
    }, []);
    const close = useCallback(()=>{
        setIsOpen(false);
    }, []);
    const toggle = useCallback(()=>{
        setIsOpen((prev)=>!prev);
    }, []);
    return {
        isOpen,
        open,
        close,
        toggle
    };
};

//# sourceMappingURL=useSidebar.js.map