import { Editor, generateHTML, generateJSON } from '@tiptap/core';
import ExtensionKit from '../extensions/extension-kit.js';
export const extractTiptapJson = (markdownValue)=>{
    const editor = new Editor({
        content: markdownValue,
        extensions: [
            ...ExtensionKit({
                openAssetHQHandler: ()=>{}
            })
        ]
    });
    return editor.getJSON();
};
export const extractTiptapJsonFromHTML = (htmlinput)=>{
    return generateJSON(htmlinput, [
        ...ExtensionKit({
            openAssetHQHandler: ()=>{}
        })
    ]);
};
export const extractMarkdown = (json)=>{
    const editor = new Editor({
        content: json,
        extensions: [
            ...ExtensionKit({
                // provider,
                openAssetHQHandler: ()=>{}
            })
        ]
    });
    const markdown = editor.storage.markdown.getMarkdown();
    return markdown;
};
export const getHtml = (json)=>{
    // const editor = new Editor({
    //   content: json,
    //   extensions: [
    //   ,
    //   ],
    // });
    return generateHTML(json, [
        ...ExtensionKit({
            // provider,
            openAssetHQHandler: ()=>{}
        })
    ]);
};

//# sourceMappingURL=extract.js.map