import { Figcaption, HorizontalRule, ImageBlock, ImageUpload, Link } from "../../extensions/index.js";
export const isTableGripSelected = (node)=>{
    let container = node;
    while(container && ![
        "TD",
        "TH"
    ].includes(container.tagName)){
        container = container.parentElement;
    }
    const gripColumn = container && container.querySelector && container.querySelector("a.grip-column.selected");
    const gripRow = container && container.querySelector && container.querySelector("a.grip-row.selected");
    if (gripColumn || gripRow) {
        return true;
    }
    return false;
};
export const isCustomNodeSelected = (editor, node)=>{
    const customNodes = [
        HorizontalRule.name,
        ImageBlock.name,
        ImageUpload.name,
        ImageBlock.name,
        Link.name,
        Figcaption.name
    ];
    return customNodes.some((type)=>editor.isActive(type)) || isTableGripSelected(node);
};
export default isCustomNodeSelected;

//# sourceMappingURL=isCustomNodeSelected.js.map